


NSRMM(8)                                                 NSRMM(8)


NNAAMMEE
       nsrmm - NetWorker media management command

SSYYNNOOPPSSIISS
       nnssrrmmmm [ --CC ] [ --vv | --qq ] [ --ss _s_e_r_v_e_r ] [ --ff _d_e_v_i_c_e ]

       nnssrrmmmm --mm [ --vv | --qq ] [ --ss _s_e_r_v_e_r ] [ --ff _d_e_v_i_c_e ] [ --rr ] [
             _v_o_l_u_m_e ]

       nnssrrmmmm --ll [ --vv | --qq ] [ --ss _s_e_r_v_e_r ] [ --ff _d_e_v_i_c_e ] [ --mmyyBB ]
             [ --ee _e_x_p_i_r_a_t_i_o_n ] [ --cc _c_a_p_a_c_i_t_y ] [ --oo _m_o_d_e ] [ --bb
             _p_o_o_l ] [ --RR | _v_o_l_u_m_e ]

       nnssrrmmmm { --uu | --jj } [ --vv | --qq ] [ --ss _s_e_r_v_e_r ] [ --yy ] [ --ff
             _d_e_v_i_c_e | _v_o_l_u_m_e_._.  ]

       nnssrrmmmm --pp [ --vv | --qq ] [ --ss _s_e_r_v_e_r ] [ --ff _d_e_v_i_c_e ]

       nnssrrmmmm { --dd | --oo _m_o_d_e } [ --vv | --qq ] [ --ss _s_e_r_v_e_r ] [ --PPyy ] [
             --SS _s_s_i_d_[_/_c_l_o_n_e_i_d_] | --VV _v_o_l_i_d | _v_o_l_u_m_e_._._.  ]

DDEESSCCRRIIPPTTIIOONN
       The nnssrrmmmm program provides a  command  line  interface  to
       manage  the  media  and  devices (tapes, disks, and files)
       used by NetWorker servers and storage nodes.

       A _v_o_l_u_m_e is a physical piece of media, for example, a tape
       or  disk  cartridge.  When dealing with file type devices,
       _v_o_l_u_m_e refers to a directory on a file system.   NetWorker
       must  have  exclusive use of this directory, as files will
       be created and removed.  The NetWorker system keeps  track
       of  which  user files have been saved on which volumes, so
       they can be more easily recovered.  Every  volume  managed
       by  NetWorker  has  a  _v_o_l_u_m_e _n_a_m_e (also known as a _v_o_l_u_m_e
       _l_a_b_e_l) selected by an operator.  A volume name  is  speci-
       fied  when  the  volume is first introduced to the system.
       It can only be changed when a volume  is  relabeled.   The
       volume should have an external label displaying its volume
       name for future reference.  NetWorker refers to volumes by
       their  volume names, for example, when requesting a volume
       for recovery.

       The NetWorker system automatically manages an  index  map-
       ping  saved  user  files to volumes.  NetWorker also keeps
       other attributes associated with a volume,  including  the
       volume's  expiration date and the expected capacity of the
       volume.

       The NetWorker server requests  that  specific  volumes  be
       mounted by their name for recoveries, or any writable vol-
       umes for saves.  These requests are submitted through  the
       nnssrr__nnoottiiffiiccaattiioonn(5)  mechanism.   The  nnwwaaddmmiinn(8)  console
       window or the nnssrrwwaattcchh(8) command can be used  to  monitor
       pending mount requests.  Typically, the requests will also



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSRMM(8)                                                 NSRMM(8)


       be written to the system console, or  logged  in  a  file.
       The  same  requests can be used as input for software that
       controls a _j_u_k_e_b_o_x (a device that automatically loads  and
       unloads volumes).

       Before  the nnssrrmmmm command can be used (before any data can
       be saved or recovered), at least one device must  be  con-
       figured  for  the  NetWorker server.  This is usually done
       with the nnssrr__iizzee(8) command when NetWorker  is  installed.
       The NetWorker configuration may be modified with the nnwwaadd--
       mmiinn(8) administration menus  or  the  nnssrraaddmmiinn(8)  command
       after NetWorker has been installed.

OOPPTTIIOONNSS
       --BB     Verifies that the volume you want to label does not
              have a readable NetWorker label.   Before  labeling
              the volume, an attempt is made to read any existing
              label the volume may already possess.  If you spec-
              ify  this  option  and  the volume has a valid Net-
              Worker label that is readable by  the  device  cur-
              rently  being used, the label operation is canceled
              and an error message is displayed.  If  the  volume
              does  not  contain  a label that is readable by the
              current device, the volume may  be  labeled.   This
              option is used by nnssrrdd(8) when automatically label-
              ing volumes on behalf of nnssrrmmmmdd(8) requests.

       --bb _p_o_o_l
              Specifies the pool to  which  the  volume  belongs.
              The  pool  can  name  any pool currently registered
              with nnssrrdd.  The possible values can  be  viewed  by
              selecting  the Pools menu item from the Administra-
              tion menu of nnwwaaddmmiinn(8) or  using  the  nnssrraaddmmiinn(8)
              command.   The pool name is referenced by nnssrrdd when
              determining what save sets can reside on  the  vol-
              ume.   If you omit this option, the volume is auto-
              matically assigned to the  _D_e_f_a_u_l_t  pool.   If  you
              specify  a  pool  name  without specifying a volume
              name, the next  volume  name  associated  with  the
              pool's _l_a_b_e_l _t_e_m_p_l_a_t_e resource is used.

       --CC     Displays a list of NetWorker configured devices and
              the volumes currently mounted in  them.  This  list
              displays  only  the devices and volumes assigned to
              the server, not the actual devices and volumes. The
              --pp  option (below) verifies the volume label.  This
              is the default option.

       --cc _c_a_p_a_c_i_t_y
              Overrides the default capacity of a  volume.   Net-
              Worker  normally  uses  built-in default capacities
              based on the device  type.  This  option  overrides
              these defaults.  The format of the specification is
              _n_u_m_b_e_r _m_u_l_t_i_p_l_i_e_r_.  _M_u_l_t_i_p_l_i_e_r can be  one  of  `K'



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





NSRMM(8)                                                 NSRMM(8)


              (1024  bytes),  `M'  (1000  KB),  or `G' (1000 MB).
              Lower-case letters are also accepted, as are  extra
              characters  like spaces, or an extra `B' after `K',
              `M', or `G'.  _N_u_m_b_e_r may be any value, including an
              integer  or  real  number, with up to three decimal
              places.

       --dd     Deletes the client file indexes and media  database
              entries  from  the NetWorker databases.  The action
              does not destroy the volume:  instead,  it  removes
              all  references used by NetWorker to the volume and
              the user files contained on it.  This option can be
              used   to   control   the  size  of  the  NetWorker
              databases.

       --ee _e_x_p_i_r_a_t_i_o_n
              Sets the expiration date  for  relabeling  volumes.
              This  option  overrides the default expiration date
              for the label, which is two years.  The  value  for
              _E_x_p_i_r_a_t_i_o_n  is  entered  in  nnssrr__ggeettddaattee(3) format,
              with a special value of ffoorreevveerr that  is  used  for
              migration and archive volumes means that the volume
              label never expires.

       --ff _d_e_v_i_c_e
              Specifies a device explicitly.  When more than  one
              device  has  been configured, nnssrrmmmm will select the
              first device by default.  This option overrides the
              selection made by nnssrrmmmm..

       --jj     Ejects  a  volume  from the device.  This option is
              similar to performing an unmount operation,  except
              that the volume is also physically ejected from the
              device, if possible.  This feature is not supported
              by some device types, disk devices, and tapes.

       --ll     Labels  (initializes) a volume for NetWorker to use
              and recognize.  Labeling must  be  performed  _a_f_t_e_r
              the  desired  volume  is physically loaded into the
              device, either by an operator or a jukebox.

       --mm     Mounts a volume into a device.   Mounting  is  per-
              formed  _a_f_t_e_r  a volume is placed into a device and
              labeled.  Only labeled volumes can be mounted.  The
              labeling  and  mounting  operations can be combined
              into a single command line (see the  EEXXAAMMPPLLEESS  sec-
              tion).

       --oo _m_o_d_e
              Sets  the  mode  of a volume, save set, or save set
              instance (clone).  The _m_o_d_e can be one of the  fol-
              lowing:  [[nnoott]]rreeccyyccllaabbllee, [[nnoott]]rreeaaddoonnllyy, [[nnoott]]ffuullll,
              [[nnoott]]mmaannuuaall or [[nnoott]]ssuussppeecctt.   The  [[nnoott]]rreeccyyccllaabbllee
              modes  apply  to both volumes or save sets, but not



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3





NSRMM(8)                                                 NSRMM(8)


              clones.  The [[nnoott]]rreeaaddoonnllyy, [[nnoott]]ffuullll and [[nnoott]]mmaann--
              uuaall  modes  apply only to volumes.  The [[nnoott]]mmaannuuaall
              modes are the only valid modes when used  with  the
              --ll  option.   The  [[nnoott]]ssuussppeecctt modes apply only to
              save set instances, meaning it  must  be  specified
              along  with  --SS  _s_s_i_d_/_c_l_o_n_e_i_d,  not just --SS _s_s_i_d by
              itself (remember that every instance of a save  set
              has  a  clone id, even the original).  See nnssrriimm(8)
              for a discussion of the per-volume flags.  The ssuuss--
              ppeecctt  flag  is  set automatically when a rreeccoovveerr(8)
              encounters a media error  recovering  data  from  a
              particular save set clone.

       --PP     When  used  in  conjunction  with the --dd option the
              corresponding file index entries are purged,  with-
              out  deleting  the  entries  in the media database.
              The ssccaannnneerr(8) command can then be used to  recover
              the file index entries.

       --pp     Verifies  and  prints a volume's label.  To confirm
              that the external volume label matches the internal
              label,  load  a  volume  into  a drive and use this
              option to display the volume  name  in  the  label.
              Verifying a label unmounts mounted volumes.

       --qq     Quiet  mode.   This option tells nnssrrmmmm to print out
              as little information as possible while  performing
              the  requested  operation.   Generally,  only error
              messages are printed.

       --RR     Relabels a volume.  This option rewrites the volume
              label  and purges the NetWorker indexes of all user
              files previously saved on the volume.  Some of  the
              volume usage information is maintained.

       --rr     Mounts a volume as read-only.  To prevent NetWorker
              from writing to a  volume,  specify  the  read-only
              flag  when  mounting the volume.  Volumes marked as
              full and those in the read-only mode (--oo  rreeaaddoonnllyy)
              are automatically mounted read-only.

       --ss _s_e_r_v_e_r
              Specifies the NetWorker server to perform the nnssrrmmmm
              operation on.  See  nnssrr(8)  for  a  description  of
              server selection.

       --SS _s_s_i_d
              Changes  (with  --oo) or removes (with --dd) a save set
              from the NetWorker  databases.   The  save  set  is
              identified  by a save set identifier, _s_s_i_d.  A save
              set instance, or clone, can be specified using  the
              format  _s_s_i_d_/_c_l_o_n_e_i_d.  The mmmmiinnffoo(8) program may be
              used to determine save set and clone identifiers.




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        4





NSRMM(8)                                                 NSRMM(8)


       --uu     Unmounts a volume.  A volume should always  unmount
              a volume before you unload it from a device.

       --VV _v_o_l_i_d
              Removes  a volume from the NetWorker databases when
              used in conjunction with the --dd option.  The volume
              is  identified  by  a  volume identifier, or _v_o_l_i_d.
              The mmmmiinnffoo(8) command can be used to determine vol-
              ume identifiers.

       --vv     Verbose  mode.   This  option  polls  the NetWorker
              server to print out more information as the  opera-
              tion proceeds.

       --yy     Do not confirm (potentially destructive) operations
              before performing them.  This option must  be  used
              with extreme care.

EEXXAAMMPPLLEESS
       _L_a_b_e_l_i_n_g _n_e_w _t_a_p_e_s:
              To  introduce  a  new  tape, named mmaarrss..000011, to the
              NetWorker system, load the tape in an empty  drive,
              then use the command:
                 nsrmm -l mars.001

              The  tape  is labeled with mmaarrss..000011 and an entry is
              made in the  appropriate  NetWorker  indexes.   The
              mmmmiinnffoo(8) command may be used to inspect the volume
              database and display information about the volumes:
                 mminfo -m




       _M_o_u_n_t_i_n_g _a _t_a_p_e:
              To  mount  a  NetWorker  volume, use the --mm option.
              Note that the volume must have been labeled  previ-
              ously and loaded in the drive:
                 nsrmm -m

              When mounting, a volume name can also be specified:
                 nsrmm -m mars.001

              The mount will fail unless the  given  volume  name
              matches the one read from the media.

              Mounting  a  volume  makes  the volume available to
              NetWorker.  When nnssrrmmmmdd(8) needs  the  volume,  the
              label  will be read again and confirmed, preventing
              accidental data loss.  Volumes  are  also  verified
              and  mounted  automatically  if the server recovers
              after a crash.





NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        5





NSRMM(8)                                                 NSRMM(8)


       _L_a_b_e_l_i_n_g _a_n_d _M_o_u_n_t_i_n_g _a _t_a_p_e:
              A volume may be labeled and mounted with  a  single
              nnssrrmmmm  command  by combining the --mm and --ll options.
              The following example, labels a volume mmaarrss..000033 and
              mount it on device //ddeevv//nnrrsstt00::
                 nsrmm -m -l -f /dev/nrst0  mars.003


       _U_n_m_o_u_n_t_i_n_g _o_r _e_j_e_c_t_i_n_g _a _v_o_l_u_m_e:
              When a volume needs to be unmounted, use either the
              --uu or --jj option, depending on whether  or  not  the
              device can physically eject a volume.
                 nsrmm -u

              When  more  than  one volume is mounted, either the
              volume name or device can be  specified  to  select
              the desired volume.  For example,
                 nsrmm -j mars.003

              ejects the volume named mmaarrss..000033.


       _D_i_s_p_l_a_y_i_n_g _t_h_e _c_u_r_r_e_n_t _v_o_l_u_m_e_s:
              The  --CC  option displays the configured devices and
              the mounted volumes.  This is the default option.
                 nsrmm -C


       _D_e_l_e_t_i_n_g _a _v_o_l_u_m_e:
              To remove references to a volume and the user files
              saved  on it from the NetWorker indexes, use the --dd
              option.  This option does not modify  the  physical
              volume,  and  should only be used when the physical
              volume is destroyed.  Deleting a  volume  frees  up
              space in the NetWorker file index and the NetWorker
              media index, but not much  more  than  purging  it.
              The  amount of space released depends on the number
              of user files saved on the volume.   The  following
              example deletes the volume mmaarrss..000033::
                 nsrmm -d mars.003

              The  ssccaannnneerr(8)  command can be used to rebuild the
              database entries.


       _P_u_r_g_i_n_g _f_i_l_e _i_n_d_e_x _e_n_t_r_i_e_s:
              The file index contains information about each file
              saved  by  NetWorker.   Due to size constraints, it
              may be necessary to purge information from the file
              index.   When  a volume or save set is deleted, the
              corresponding file index entries are also  removed.
              It  is also possible to preserve the media database
              entries of a volume while purging the file index by
              specifying the --PP option when deleting.



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        6





NSRMM(8)                                                 NSRMM(8)


       The following example purges all of the file index entries
       for volume mmaarrss..000011::
                 nsrmm -d -P mars.001

              The ssccaannnneerr(8) command can be used to  recover  the
              file index.

SSEEEE AALLSSOO
       nnssrr(8), nnssrr__ggeettddaattee(3), nnssrr__llaayyoouutt(5), nnssrr__ddeevviiccee(5),
       nnssrr__nnoottiiffiiccaattiioonn(5), mmmmiinnffoo(8), nnwwaaddmmiinn(8), nnssrrmmmmdd(8),
       nnssrraaddmmiinn(8), nnssrriimm(8), nnssrr__iizzee(8), rreeccoovveerr(8).
       ssccaannnneerr(8).

DDIIAAGGNNOOSSTTIICCSS
       _t_y_p_e _f_a_m_i_l_y _v_o_l_u_m_e mmoouunntteedd oonn _d_e_v_i_c_e,, wwrriittee eennaabblleedd
              Message indicating that the --mm (mount)  option  was
              successfully  performed  on a device with the given
              media _t_y_p_e and media _f_a_m_i_l_y, for example, 8mm tape.

       ``_s_a_v_e_s_e_t'' iiss nnoott aa vvaalliidd ssaavvee sseett iidd
              The  given  save set identifier is not in the valid
              format.  The format is either a single number,  for
              the save set without reference to its instances, or
              two numbers separated by a slash (/),  representing
              a save set and clone (instance) identifier pair.

       dduupplliiccaattee nnaammee;; ppiicckk nneeww nnaammee oorr ddeelleettee oolldd oonnee
              It  is  illegal  to  label  two tapes with the same
              name.  If you wish to reuse  a  name,  remove  that
              volume from the index using the --dd option.

       AArree yyoouu ssuurree yyoouu wwaanntt ttoo oovveerr--wwrriittee _v_o_l_u_m_e wwiitthh aa nneeww
       llaabbeell??
              An attempt is being made to relabel  a  volume.   A
              positive  confirmation  will overwrite the existing
              data on that tape.

       PPuurrggee ffiillee iinnddeexx eennttrriieess ffoorr _t_y_p_e _f_a_m_i_l_y _v_o_l_u_m_e?? ......
              After confirmation,  the  file  index  entries  are
              removed.

       _v_o_l_u_m_e nnoott iinn mmeeddiiaa iinnddeexx
              The  media  index has no entry associated with _v_o_l_-
              _u_m_e_, so the --mm command cannot be used.  This  prob-
              lem may be caused by mistyping the volume name when
              the tape was originally labeled, or deleting it.

       NNoo vvaalliidd _f_a_m_i_l_y llaabbeell
              The tape or disk in the named device does not  have
              a valid NetWorker label.







NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        7


